0%

更新JDK版本遇到的小坑

今天学着用JavaFX编软工大作业,编了一小部分,想着先打个包试试,因为要求是最终的产品必须用命令行打开,所以打完包之后在命令行里跳转到”Main.class“所在的目录,一运行,提示JRE版本低了,原因是我用IDEA写的时候选择的JDK版本是13.0.2,但是通过

1
Java -version

得知系统使用的JDK版本是12.0.2,需要升级。

在将系统变量——JAVA_HOME和PATH配置完毕后,输入Java -version,显示的仍是12.0.2。于是只能求助万能的互联网,尝试了能找到的各种办法,都没有用。束手无策之际,试着把原来的jdk-12.02文件夹删除,升级完成了…

真是哭笑不得

-------------本文结束感谢您的阅读-------------